Groovy 1.7.10

## org.codehaus.groovy.tools.javac
[Java] Class JavaStubCompilationUnit

    java.lang.Object
      org.codehaus.groovy.control.ProcessingUnit
          org.codehaus.groovy.control.CompilationUnit
              org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

    public class JavaStubCompilationUnit
    extends CompilationUnit

Compilation unit to only generate stubs.

Authors:
  Jason Dillon

Field Summary

Fields inherited from class CompilationUnit
ast, classSourcesByPublicClassName, classgenCallback, configured, debug, generatedClasses, names, optimizer, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier

Fields inherited from class ProcessingUnit
classLoader, configuration, errorCollector, phase, phaseComplete

Constructor Summary
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)`
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)`

Method Summary
`SourceUnit` | `addSource(File file)`
`SourceUnit` | `addSource(URL url)`
`void` | `addSourceFile(File file)`
`void` | `compile()`
`void` | `configure(CompilerConfiguration config)`
`int` | `getStubCount()`

Methods inherited from class CompilationUnit

addClassNode, addNewPhaseOperation, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getClassNode, getClassSourcesByPublicClassName, getClasses, getFirstClassNode, getSummariesByPublicClassName, getSummariesBySourceName, getTransformLoader, isPublicClass, iterator, mark, setClassgenCallback, setProgressCallback

Methods inherited from class ProcessingUnit
completePhase, configure, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, gotoPhase, nextPhase, setClassLoader, setConfiguration

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)

Method Detail

### addSource

    @Override
    public SourceUnit addSource(File file)

### addSource

    @Override
    public SourceUnit addSource(URL url)

### addSourceFile

    @Deprecated
    public void addSourceFile(File file)

### compile

    @Override
    public void compile()

### configure

    @Override
    public void configure(CompilerConfiguration config)

### getStubCount

    public int getStubCount()

Copyright © 2003-2010 The Codehaus. All rights reserved.